<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
<!-- 2021-12-03 Fri 15:43 -->
<meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1" />
<title>DTOS</title>
<meta name="author" content="dt" />
<meta name="description" content="DT's OS - Dynamic Tiling Optimization System
Header
Header" />
<meta name="generator" content="Org Mode" />
<style>
  #content { max-width: 60em; margin: auto; }
  .title  { text-align: center;
             margin-bottom: .2em; }
  .subtitle { text-align: center;
              font-size: medium;
              font-weight: bold;
              margin-top:0; }
  .todo   { font-family: monospace; color: red; }
  .done   { font-family: monospace; color: green; }
  .priority { font-family: monospace; color: orange; }
  .tag    { background-color: #eee; font-family: monospace;
            padding: 2px; font-size: 80%; font-weight: normal; }
  .timestamp { color: #bebebe; }
  .timestamp-kwd { color: #5f9ea0; }
  .org-right  { margin-left: auto; margin-right: 0px;  text-align: right; }
  .org-left   { margin-left: 0px;  margin-right: auto; text-align: left; }
  .org-center { margin-left: auto; margin-right: auto; text-align: center; }
  .underline { text-decoration: underline; }
  #postamble p, #preamble p { font-size: 90%; margin: .2em; }
  p.verse { margin-left: 3%; }
  pre {
    border: 1px solid #e6e6e6;
    border-radius: 3px;
    background-color: #f2f2f2;
    padding: 8pt;
    font-family: monospace;
    overflow: auto;
    margin: 1.2em;
  }
  pre.src {
    position: relative;
    overflow: auto;
  }
  pre.src:before {
    display: none;
    position: absolute;
    top: -8px;
    right: 12px;
    padding: 3px;
    color: #555;
    background-color: #f2f2f299;
  }
  pre.src:hover:before { display: inline; margin-top: 14px;}
  /* Languages per Org manual */
  pre.src-asymptote:before { content: 'Asymptote'; }
  pre.src-awk:before { content: 'Awk'; }
  pre.src-authinfo::before { content: 'Authinfo'; }
  pre.src-C:before { content: 'C'; }
  /* pre.src-C++ doesn't work in CSS */
  pre.src-clojure:before { content: 'Clojure'; }
  pre.src-css:before { content: 'CSS'; }
  pre.src-D:before { content: 'D'; }
  pre.src-ditaa:before { content: 'ditaa'; }
  pre.src-dot:before { content: 'Graphviz'; }
  pre.src-calc:before { content: 'Emacs Calc'; }
  pre.src-emacs-lisp:before { content: 'Emacs Lisp'; }
  pre.src-fortran:before { content: 'Fortran'; }
  pre.src-gnuplot:before { content: 'gnuplot'; }
  pre.src-haskell:before { content: 'Haskell'; }
  pre.src-hledger:before { content: 'hledger'; }
  pre.src-java:before { content: 'Java'; }
  pre.src-js:before { content: 'Javascript'; }
  pre.src-latex:before { content: 'LaTeX'; }
  pre.src-ledger:before { content: 'Ledger'; }
  pre.src-lisp:before { content: 'Lisp'; }
  pre.src-lilypond:before { content: 'Lilypond'; }
  pre.src-lua:before { content: 'Lua'; }
  pre.src-matlab:before { content: 'MATLAB'; }
  pre.src-mscgen:before { content: 'Mscgen'; }
  pre.src-ocaml:before { content: 'Objective Caml'; }
  pre.src-octave:before { content: 'Octave'; }
  pre.src-org:before { content: 'Org mode'; }
  pre.src-oz:before { content: 'OZ'; }
  pre.src-plantuml:before { content: 'Plantuml'; }
  pre.src-processing:before { content: 'Processing.js'; }
  pre.src-python:before { content: 'Python'; }
  pre.src-R:before { content: 'R'; }
  pre.src-ruby:before { content: 'Ruby'; }
  pre.src-sass:before { content: 'Sass'; }
  pre.src-scheme:before { content: 'Scheme'; }
  pre.src-screen:before { content: 'Gnu Screen'; }
  pre.src-sed:before { content: 'Sed'; }
  pre.src-sh:before { content: 'shell'; }
  pre.src-sql:before { content: 'SQL'; }
  pre.src-sqlite:before { content: 'SQLite'; }
  /* additional languages in org.el's org-babel-load-languages alist */
  pre.src-forth:before { content: 'Forth'; }
  pre.src-io:before { content: 'IO'; }
  pre.src-J:before { content: 'J'; }
  pre.src-makefile:before { content: 'Makefile'; }
  pre.src-maxima:before { content: 'Maxima'; }
  pre.src-perl:before { content: 'Perl'; }
  pre.src-picolisp:before { content: 'Pico Lisp'; }
  pre.src-scala:before { content: 'Scala'; }
  pre.src-shell:before { content: 'Shell Script'; }
  pre.src-ebnf2ps:before { content: 'ebfn2ps'; }
  /* additional language identifiers per "defun org-babel-execute"
       in ob-*.el */
  pre.src-cpp:before  { content: 'C++'; }
  pre.src-abc:before  { content: 'ABC'; }
  pre.src-coq:before  { content: 'Coq'; }
  pre.src-groovy:before  { content: 'Groovy'; }
  /* additional language identifiers from org-babel-shell-names in
     ob-shell.el: ob-shell is the only babel language using a lambda to put
     the execution function name together. */
  pre.src-bash:before  { content: 'bash'; }
  pre.src-csh:before  { content: 'csh'; }
  pre.src-ash:before  { content: 'ash'; }
  pre.src-dash:before  { content: 'dash'; }
  pre.src-ksh:before  { content: 'ksh'; }
  pre.src-mksh:before  { content: 'mksh'; }
  pre.src-posh:before  { content: 'posh'; }
  /* Additional Emacs modes also supported by the LaTeX listings package */
  pre.src-ada:before { content: 'Ada'; }
  pre.src-asm:before { content: 'Assembler'; }
  pre.src-caml:before { content: 'Caml'; }
  pre.src-delphi:before { content: 'Delphi'; }
  pre.src-html:before { content: 'HTML'; }
  pre.src-idl:before { content: 'IDL'; }
  pre.src-mercury:before { content: 'Mercury'; }
  pre.src-metapost:before { content: 'MetaPost'; }
  pre.src-modula-2:before { content: 'Modula-2'; }
  pre.src-pascal:before { content: 'Pascal'; }
  pre.src-ps:before { content: 'PostScript'; }
  pre.src-prolog:before { content: 'Prolog'; }
  pre.src-simula:before { content: 'Simula'; }
  pre.src-tcl:before { content: 'tcl'; }
  pre.src-tex:before { content: 'TeX'; }
  pre.src-plain-tex:before { content: 'Plain TeX'; }
  pre.src-verilog:before { content: 'Verilog'; }
  pre.src-vhdl:before { content: 'VHDL'; }
  pre.src-xml:before { content: 'XML'; }
  pre.src-nxml:before { content: 'XML'; }
  /* add a generic configuration mode; LaTeX export needs an additional
     (add-to-list 'org-latex-listings-langs '(conf " ")) in .emacs */
  pre.src-conf:before { content: 'Configuration File'; }

  table { border-collapse:collapse; }
  caption.t-above { caption-side: top; }
  caption.t-bottom { caption-side: bottom; }
  td, th { vertical-align:top;  }
  th.org-right  { text-align: center;  }
  th.org-left   { text-align: center;   }
  th.org-center { text-align: center; }
  td.org-right  { text-align: right;  }
  td.org-left   { text-align: left;   }
  td.org-center { text-align: center; }
  dt { font-weight: bold; }
  .footpara { display: inline; }
  .footdef  { margin-bottom: 1em; }
  .figure { padding: 1em; }
  .figure p { text-align: center; }
  .equation-container {
    display: table;
    text-align: center;
    width: 100%;
  }
  .equation {
    vertical-align: middle;
  }
  .equation-label {
    display: table-cell;
    text-align: right;
    vertical-align: middle;
  }
  .inlinetask {
    padding: 10px;
    border: 2px solid gray;
    margin: 10px;
    background: #ffffcc;
  }
  #org-div-home-and-up
   { text-align: right; font-size: 70%; white-space: nowrap; }
  textarea { overflow-x: auto; }
  .linenr { font-size: smaller }
  .code-highlighted { background-color: #ffff00; }
  .org-info-js_info-navigation { border-style: none; }
  #org-info-js_console-label
    { font-size: 10px; font-weight: bold; white-space: nowrap; }
  .org-info-js_search-highlight
    { background-color: #ffff00; color: #000000; font-weight: bold; }
  .org-svg { width: 90%; }
</style>
<link rel="stylesheet" type="text/css" href="https://distro.tube/org-html-themes/src/readtheorg_theme/css/htmlize.css"/>
<link rel="stylesheet" type="text/css" href="https://distro.tube/org-html-themes/src/readtheorg_theme/css/readtheorg.css"/>
<script src="httpss://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
<script src="httpss://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/js/bootstrap.min.js"></script>
<script type="text/javascript" src="https://distro.tube/org-html-themes/src/lib/js/jquery.stickytableheaders.min.js"></script>
<script type="text/javascript" src="https://distro.tube/org-html-themes/src/readtheorg_theme/js/readtheorg.js"></script>
<link rel="stylesheet" type="text/css" href="https://distro.tube/org-html-themes/src/readtheorg_theme/css/htmlize.css"/>
<link rel="stylesheet" type="text/css" href="https://distro.tube/org-html-themes/src/readtheorg_theme/css/readtheorg.css"/>
<script src="httpss://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
<script src="httpss://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/js/bootstrap.min.js"></script>
<script type="text/javascript" src="https://distro.tube/org-html-themes/src/lib/js/jquery.stickytableheaders.min.js"></script>
<script type="text/javascript" src="https://distro.tube/org-html-themes/src/readtheorg_theme/js/readtheorg.js"></script>
<link rel="stylesheet" type="text/css" href="https://distro.tube/org-html-themes/src/readtheorg_theme/css/htmlize.css"/>
<link rel="stylesheet" type="text/css" href="https://distro.tube/org-html-themes/src/readtheorg_theme/css/readtheorg.css"/>
<script src="httpss://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
<script src="httpss://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/js/bootstrap.min.js"></script>
<script type="text/javascript" src="https://distro.tube/org-html-themes/src/lib/js/jquery.stickytableheaders.min.js"></script>
<script type="text/javascript" src="https://distro.tube/org-html-themes/src/readtheorg_theme/js/readtheorg.js"></script>
</head>
<body>
<div id="content" class="content">
<h1 class="title">DTOS</h1>
<div id="table-of-contents" role="doc-toc">
<h2>Table of Contents</h2>
<div id="text-table-of-contents" role="doc-toc">
<ul>
<li><a href="#org38b5790">About DTOS</a></li>
<li><a href="#org4800c06">Installing DTOS</a>
<ul>
<li><a href="#org2b654f9">Installation instructions</a></li>
</ul>
</li>
<li><a href="#org1af276c">Where is the DTOS source code?</a></li>
<li><a href="#orgde61d72">How does DTOS handle updates?</a></li>
<li><a href="#org7f03faa">Setting a wallpaper</a></li>
<li><a href="#org11d0f29">Keybindings</a>
<ul>
<li><a href="#orgfe387f1">Window manager keybindings</a></li>
<li><a href="#orgd9536d9">Doom Emacs keybindings</a></li>
<li><a href="#org217aff9">Qutebrowser keybindings</a>
<ul>
<li><a href="#org539720e">Footer</a></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<table border="2" cellspacing="0" cellpadding="6" rules="groups" frame="hsides">


<colgroup>
<col  class="org-left" />

<col  class="org-left" />

<col  class="org-left" />

<col  class="org-left" />

<col  class="org-left" />

<col  class="org-left" />
</colgroup>
<tbody>
<tr>
<td class="org-left"><a href="../index.html">Home</a></td>
<td class="org-left"><a href="index.html">DTOS</a></td>
<td class="org-left"><a href="../kb/index.html">Knowledge Base</a></td>
<td class="org-left"><a href="../community/index.html">Community</a></td>
<td class="org-left"><a href="../contribute/index.html">Contribute</a></td>
<td class="org-left"><a href="../support/index.html">Support DT&rsquo;s Work</a></td>
</tr>
</tbody>
</table>

<div id="outline-container-org38b5790" class="outline-2">
<h2 id="org38b5790">About DTOS</h2>
<div class="outline-text-2" id="text-org38b5790">

<div id="orgaa5071c" class="figure">
<p><img src="https://gitlab.com/dwt1/dotfiles/-/raw/master/.screenshots/dtos-thumb-01.png" alt="DTOS scrot" title="DTOS Scrot" align="left" />
</p>
<p><span class="figure-number">Figure 1: </span>DTOS Scrot</p>
</div>

<p>
DTOS is the name that I have chosen for my post-installation script that will deploy my Xmonad config, my Emacs config, as well as associated programs that are needed to create a proper &ldquo;desktop&rdquo; experience.  DTOS should work on Arch Linux or any Arch-based distribution.  The programs that will be installed include Xmonad, Xmobar, Doom Emacs, Fish and other programs needed to recreate DT&rsquo;s XMonad desktop.
</p>
</div>
</div>

<div id="outline-container-org4800c06" class="outline-2">
<h2 id="org4800c06">Installing DTOS</h2>
<div class="outline-text-2" id="text-org4800c06">
</div>
<div id="outline-container-org2b654f9" class="outline-3">
<h3 id="org2b654f9">Installation instructions</h3>
<div class="outline-text-3" id="text-org2b654f9">
<p>
To install DTOS, you need to clone the <a href="https://gitlab.com/dwt1/dtos">DTOS GitLab repository</a> and run the <code>dtos</code> script.
</p>
<pre class="example" id="org54b4446">
git clone https://gitlab.com/dwt1/dtos
cd dtos/
./dtos
</pre>
</div>
</div>
</div>

<div id="outline-container-org1af276c" class="outline-2">
<h2 id="org1af276c">Where is the DTOS source code?</h2>
<div class="outline-text-2" id="text-org1af276c">
<p>
The source code for dtos can be found in the following GitLab repos:
</p>
<ul class="org-ul">
<li><a href="https://gitlab.com/dwt1/dtos">dtos</a> - The DTOS installation script</li>
<li><a href="https://gitlab.com/dwt1/dtos-core-repo">dtos-core-repo</a> - The DTOS core repository of software (prebuilt binaries)</li>
<li><a href="https://gitlab.com/dwt1/dtos-pkgbuild">dtos-pkgbuild</a> - The PKGBUILDs used to create the binary packages in dtos-core-repo</li>
<li><a href="https://gitlab.com/dwt1/dtos-configs">dtos-configs</a> - Config files used by most of the dtos-* packages</li>
</ul>
</div>
</div>

<div id="outline-container-orgde61d72" class="outline-2">
<h2 id="orgde61d72">How does DTOS handle updates?</h2>
<div class="outline-text-2" id="text-orgde61d72">
<p>
Simply update your system as you would any Arch-based system (sudo pacman -Syu).  Note that all of the dtos-* packages are just config files that get placed in /etc/dtos.  They are not placed in $HOME automatically because we don&rsquo;t want to overwrite any existing configs.  So it is up to you to copy any new configs in /etc/dtos over to your $HOME if you want them.
</p>

<p>
For example, if you see that dtos-bash had an update and you want to use the new config, then after the package has been updated, you must copy the .bashrc found in /etc/dtos over to your $HOME.  If dtos-fish gets updated and you want the new config, then copy over config.fish found in /etc/dtos over to $HOME.
</p>
</div>
</div>

<div id="outline-container-org7f03faa" class="outline-2">
<h2 id="org7f03faa">Setting a wallpaper</h2>
<div class="outline-text-2" id="text-org7f03faa">
<p>
To set a wallpaper, launch <code>dm-setbg</code> (part of <code>dmscripts)</code> with the keybinding &rsquo;SUPER+p b&rsquo;.  This will launch the image viewer <code>sxiv</code> which will display the wallpapers in /usr/share/backgrounds/dtos-backgrounds.  Navigate to the wallpaper you want to set and hit &rsquo;m&rsquo; to mark it.  Then close <code>sxiv</code> and the wallpaper will be set.
</p>
</div>
</div>

<div id="outline-container-org11d0f29" class="outline-2">
<h2 id="org11d0f29">Keybindings</h2>
<div class="outline-text-2" id="text-org11d0f29">
<p>
The following tables of keybindings are just a few of the most useful ones to know to get started.  To list all possible keybindings (especially in Doom Emacs) would be an enormous undertaking, and I doubt anyone would find such a massive document useful, so I have tried to keep these keybindings lists to a user-friendly size.
</p>
</div>
<div id="outline-container-orgfe387f1" class="outline-3">
<h3 id="orgfe387f1">Window manager keybindings</h3>
<div class="outline-text-3" id="text-orgfe387f1">
<table border="2" cellspacing="0" cellpadding="6" rules="groups" frame="hsides">


<colgroup>
<col  class="org-left" />

<col  class="org-left" />
</colgroup>
<thead>
<tr>
<th scope="col" class="org-left">KEYBINDINGS</th>
<th scope="col" class="org-left">ASSOCIATED ACTION</th>
</tr>
</thead>
<tbody>
<tr>
<td class="org-left">SUPER + RETURN</td>
<td class="org-left">opens terminal (alacritty)</td>
</tr>

<tr>
<td class="org-left">SUPER + SHIFT + RETURN</td>
<td class="org-left">opens run launcher (dmenu)</td>
</tr>

<tr>
<td class="org-left">SUPER + b</td>
<td class="org-left">opens qutebrowser</td>
</tr>

<tr>
<td class="org-left">SUPER + TAB</td>
<td class="org-left">rotates through the available layouts</td>
</tr>

<tr>
<td class="org-left">SUPER + SPACE</td>
<td class="org-left">toggles fullscreen on/off (useful for watching videos)</td>
</tr>

<tr>
<td class="org-left">SUPER + SHIFT + c</td>
<td class="org-left">closes window with focus</td>
</tr>

<tr>
<td class="org-left">SUPER + SHIFT + r</td>
<td class="org-left">restarts xmonad</td>
</tr>

<tr>
<td class="org-left">SUPER + SHIFT + q</td>
<td class="org-left">quits xmonad</td>
</tr>

<tr>
<td class="org-left">SUPER + 1-9</td>
<td class="org-left">switch focus to workspace (1-9)</td>
</tr>

<tr>
<td class="org-left">SUPER + SHIFT + 1-9</td>
<td class="org-left">send focused window to workspace (1-9)</td>
</tr>

<tr>
<td class="org-left">SUPER + j</td>
<td class="org-left">windows focus down (switches focus between windows in stack)</td>
</tr>

<tr>
<td class="org-left">SUPER + k</td>
<td class="org-left">windows focus up (switches focus between windows in stack)</td>
</tr>

<tr>
<td class="org-left">SUPER + SHIFT + j</td>
<td class="org-left">windows swap down (swap windows in the stack)</td>
</tr>

<tr>
<td class="org-left">SUPER + SHIFT + k</td>
<td class="org-left">windows swap up (swap the windows in the stack)</td>
</tr>

<tr>
<td class="org-left">SUPER + h</td>
<td class="org-left">shrink window (decreases window width)</td>
</tr>

<tr>
<td class="org-left">SUPER + l</td>
<td class="org-left">expand window (increases window width)</td>
</tr>

<tr>
<td class="org-left">SUPER + w</td>
<td class="org-left">switches focus to monitor 1</td>
</tr>

<tr>
<td class="org-left">SUPER + e</td>
<td class="org-left">switches focus to monitor 2</td>
</tr>

<tr>
<td class="org-left">SUPER + r</td>
<td class="org-left">switches focus to monitor 3</td>
</tr>

<tr>
<td class="org-left">SUPER + period</td>
<td class="org-left">switch focus to next monitor</td>
</tr>

<tr>
<td class="org-left">SUPER + comma</td>
<td class="org-left">switch focus to prev monitor</td>
</tr>

<tr>
<td class="org-left">SUPER + SPACE</td>
<td class="org-left">toggles fullscreen on/off (useful for watching videos)</td>
</tr>

<tr>
<td class="org-left">SUPER + t</td>
<td class="org-left">force floating window back into tiling</td>
</tr>
</tbody>
</table>

<table border="2" cellspacing="0" cellpadding="6" rules="groups" frame="hsides">


<colgroup>
<col  class="org-left" />

<col  class="org-left" />

<col  class="org-left" />
</colgroup>
<thead>
<tr>
<th scope="col" class="org-left">KEYBINDINGS</th>
<th scope="col" class="org-left">COMMAND</th>
<th scope="col" class="org-left">DESCRIPTION</th>
</tr>
</thead>
<tbody>
<tr>
<td class="org-left">SUPER + p h</td>
<td class="org-left">dm-hub</td>
<td class="org-left">allows access to all dmscripts</td>
</tr>

<tr>
<td class="org-left">SUPER + p a</td>
<td class="org-left">dm-sounds</td>
<td class="org-left">choose an ambient background</td>
</tr>

<tr>
<td class="org-left">SUPER + p b</td>
<td class="org-left">dm-setbg</td>
<td class="org-left">set a background</td>
</tr>

<tr>
<td class="org-left">SUPER + p c</td>
<td class="org-left">dm-colpick</td>
<td class="org-left">pick color from our scheme</td>
</tr>

<tr>
<td class="org-left">SUPER + p e</td>
<td class="org-left">dm-confedit</td>
<td class="org-left">edit config files</td>
</tr>

<tr>
<td class="org-left">SUPER + p i</td>
<td class="org-left">dm-maim</td>
<td class="org-left">screenshots (images)</td>
</tr>

<tr>
<td class="org-left">SUPER + p k</td>
<td class="org-left">dm-kill</td>
<td class="org-left">kill processes</td>
</tr>

<tr>
<td class="org-left">SUPER + p m</td>
<td class="org-left">dm-man</td>
<td class="org-left">manpages</td>
</tr>

<tr>
<td class="org-left">SUPER + p n</td>
<td class="org-left">dm-note</td>
<td class="org-left">store one-line notes and copy them</td>
</tr>

<tr>
<td class="org-left">SUPER + p o</td>
<td class="org-left">dm-bookman</td>
<td class="org-left">qutebrowser bookmarks/history</td>
</tr>

<tr>
<td class="org-left">SUPER + p p</td>
<td class="org-left">passmenu</td>
<td class="org-left">passmenu</td>
</tr>

<tr>
<td class="org-left">SUPER + p q</td>
<td class="org-left">dm-logout</td>
<td class="org-left">logout menu</td>
</tr>

<tr>
<td class="org-left">SUPER + p r</td>
<td class="org-left">dm-reddit</td>
<td class="org-left">reddio (a reddit viewer)</td>
</tr>

<tr>
<td class="org-left">SUPER + p s</td>
<td class="org-left">dm-websearch</td>
<td class="org-left">search various search engines</td>
</tr>

<tr>
<td class="org-left">SUPER + p t</td>
<td class="org-left">dm-translate</td>
<td class="org-left">translate text (Google Translate)</td>
</tr>
</tbody>
</table>

<table border="2" cellspacing="0" cellpadding="6" rules="groups" frame="hsides">


<colgroup>
<col  class="org-left" />

<col  class="org-left" />

<col  class="org-left" />
</colgroup>
<thead>
<tr>
<th scope="col" class="org-left">KEYBINDINGS</th>
<th scope="col" class="org-left">COMMAND</th>
<th scope="col" class="org-left">DESCRIPTION</th>
</tr>
</thead>
<tbody>
<tr>
<td class="org-left">CTRL + e e</td>
<td class="org-left">emacsclient</td>
<td class="org-left">launches Doom Emacs (dashboard)</td>
</tr>

<tr>
<td class="org-left">CTRL + e a</td>
<td class="org-left">emms</td>
<td class="org-left">Emacs multimedia system</td>
</tr>

<tr>
<td class="org-left">CTRL + e b</td>
<td class="org-left">ibuffer</td>
<td class="org-left">lists emacs buffers</td>
</tr>

<tr>
<td class="org-left">CTRL + e d</td>
<td class="org-left">dired</td>
<td class="org-left">file manager inside Emacs</td>
</tr>

<tr>
<td class="org-left">CTRL + e i</td>
<td class="org-left">erc</td>
<td class="org-left">irc client</td>
</tr>

<tr>
<td class="org-left">CTRL + e n</td>
<td class="org-left">elfeed</td>
<td class="org-left">rss reader</td>
</tr>

<tr>
<td class="org-left">CTRL + e s</td>
<td class="org-left">eshell</td>
<td class="org-left">shell written in elisp</td>
</tr>

<tr>
<td class="org-left">CTRL + e t</td>
<td class="org-left">mastodon</td>
<td class="org-left">mastodon client</td>
</tr>

<tr>
<td class="org-left">CTRL + e v</td>
<td class="org-left">vterm</td>
<td class="org-left">one of the terminals inside Emacs</td>
</tr>

<tr>
<td class="org-left">CTRL + e w</td>
<td class="org-left">eww</td>
<td class="org-left">Emacs web wowser (distro.tube)</td>
</tr>
</tbody>
</table>
</div>
</div>

<div id="outline-container-orgd9536d9" class="outline-3">
<h3 id="orgd9536d9">Doom Emacs keybindings</h3>
<div class="outline-text-3" id="text-orgd9536d9">
<table border="2" cellspacing="0" cellpadding="6" rules="groups" frame="hsides">


<colgroup>
<col  class="org-left" />

<col  class="org-left" />

<col  class="org-left" />
</colgroup>
<thead>
<tr>
<th scope="col" class="org-left">KEYBINDINGS</th>
<th scope="col" class="org-left">COMMAND</th>
<th scope="col" class="org-left">DESCRIPTION</th>
</tr>
</thead>
<tbody>
<tr>
<td class="org-left">M-x command</td>
<td class="org-left">Runs a command</td>
<td class="org-left">M-x is a command prompt</td>
</tr>

<tr>
<td class="org-left">SPC period</td>
<td class="org-left">find-file</td>
<td class="org-left">Opens dired file manager in a split</td>
</tr>

<tr>
<td class="org-left">SPC f r</td>
<td class="org-left">counsel-recentf</td>
<td class="org-left">Open recent files</td>
</tr>

<tr>
<td class="org-left">SPC h r r</td>
<td class="org-left">doom/reload</td>
<td class="org-left">Reloads Doom Emacs</td>
</tr>

<tr>
<td class="org-left">SPC t b</td>
<td class="org-left">big mode</td>
<td class="org-left">Toggles big font mode</td>
</tr>

<tr>
<td class="org-left">SPC t l</td>
<td class="org-left">doom/toggle-line-numbers</td>
<td class="org-left">Toggle line numbers</td>
</tr>

<tr>
<td class="org-left">SPC t t</td>
<td class="org-left">toggle-truncate-line</td>
<td class="org-left">Toggle truncated lines</td>
</tr>

<tr>
<td class="org-left">SPC TAB TAB</td>
<td class="org-left">comment-line</td>
<td class="org-left">Comment/uncomment lines</td>
</tr>

<tr>
<td class="org-left">SPC w d</td>
<td class="org-left">evil-window-delete</td>
<td class="org-left">delete window (split)</td>
</tr>

<tr>
<td class="org-left">SPC w s</td>
<td class="org-left">evil-window-split</td>
<td class="org-left">split window horizontally</td>
</tr>

<tr>
<td class="org-left">SPC w v</td>
<td class="org-left">evil-window-vsplit</td>
<td class="org-left">split window vertically</td>
</tr>
</tbody>
</table>
</div>
</div>

<div id="outline-container-org217aff9" class="outline-3">
<h3 id="org217aff9">Qutebrowser keybindings</h3>
<div class="outline-text-3" id="text-org217aff9">
<table border="2" cellspacing="0" cellpadding="6" rules="groups" frame="hsides">


<colgroup>
<col  class="org-left" />

<col  class="org-left" />
</colgroup>
<thead>
<tr>
<th scope="col" class="org-left">KEYBINDING</th>
<th scope="col" class="org-left">ASSOCIATE ACTION</th>
</tr>
</thead>
<tbody>
<tr>
<td class="org-left">yy</td>
<td class="org-left">Copy/yank URL</td>
</tr>

<tr>
<td class="org-left">yY</td>
<td class="org-left">Copy URL to selection</td>
</tr>

<tr>
<td class="org-left">yt</td>
<td class="org-left">Copy title to clipboard</td>
</tr>

<tr>
<td class="org-left">yT</td>
<td class="org-left">Copy title to selection</td>
</tr>

<tr>
<td class="org-left">pp</td>
<td class="org-left">Open URL from clipboard</td>
</tr>

<tr>
<td class="org-left">pP</td>
<td class="org-left">Open URL from selection</td>
</tr>

<tr>
<td class="org-left">Pp</td>
<td class="org-left">Open URL from clipboard in new tab</td>
</tr>

<tr>
<td class="org-left">PP</td>
<td class="org-left">Open URL from selection in new tab</td>
</tr>

<tr>
<td class="org-left">wp</td>
<td class="org-left">Open URL from clipboard in new window</td>
</tr>

<tr>
<td class="org-left">wP</td>
<td class="org-left">Open URL from selection in new window</td>
</tr>

<tr>
<td class="org-left">[[</td>
<td class="org-left">Click &ldquo;previous&rdquo;-link on page</td>
</tr>

<tr>
<td class="org-left">]]</td>
<td class="org-left">Click &ldquo;next&rdquo;-link on page</td>
</tr>

<tr>
<td class="org-left">{{</td>
<td class="org-left">Click &ldquo;preious&rdquo;-link on page in new tab</td>
</tr>

<tr>
<td class="org-left">}}</td>
<td class="org-left">Click &ldquo;next&rdquo;-link on page in new tab</td>
</tr>

<tr>
<td class="org-left">ctrl+a</td>
<td class="org-left">Increment no. in URL</td>
</tr>

<tr>
<td class="org-left">ctrl+x</td>
<td class="org-left">Decrement no. in URL</td>
</tr>

<tr>
<td class="org-left">ctrl+f</td>
<td class="org-left">Page down</td>
</tr>

<tr>
<td class="org-left">ctrl+b</td>
<td class="org-left">Page up</td>
</tr>

<tr>
<td class="org-left">ctrl+d</td>
<td class="org-left">Half page down</td>
</tr>

<tr>
<td class="org-left">ctrl+u</td>
<td class="org-left">Half page up</td>
</tr>

<tr>
<td class="org-left">go</td>
<td class="org-left">Open based on cur. URL</td>
</tr>

<tr>
<td class="org-left">gO</td>
<td class="org-left">Open based on cur. URL in new tab</td>
</tr>

<tr>
<td class="org-left">xO</td>
<td class="org-left">Open based on cur. URL in background tab</td>
</tr>

<tr>
<td class="org-left">xo</td>
<td class="org-left">Open in background tab</td>
</tr>

<tr>
<td class="org-left">wo</td>
<td class="org-left">Open in new window</td>
</tr>

<tr>
<td class="org-left">th</td>
<td class="org-left">Back (in new tab)</td>
</tr>

<tr>
<td class="org-left">wh</td>
<td class="org-left">Back (in new window)</td>
</tr>

<tr>
<td class="org-left">tl</td>
<td class="org-left">Forward (in new tab)</td>
</tr>

<tr>
<td class="org-left">wl</td>
<td class="org-left">Forward (in new window)</td>
</tr>

<tr>
<td class="org-left">;b</td>
<td class="org-left">Open hint in background tab</td>
</tr>

<tr>
<td class="org-left">;h</td>
<td class="org-left">Hover over hint (mouse-over)</td>
</tr>

<tr>
<td class="org-left">;i</td>
<td class="org-left">Hint images</td>
</tr>

<tr>
<td class="org-left">;I</td>
<td class="org-left">Hint images in new tab</td>
</tr>

<tr>
<td class="org-left">;o</td>
<td class="org-left">Put hinted URL in cmd. line</td>
</tr>

<tr>
<td class="org-left">;O</td>
<td class="org-left">Put hinted URL in cmd. line in new tab</td>
</tr>

<tr>
<td class="org-left">;y</td>
<td class="org-left">Yank hinted URL to clipboard</td>
</tr>

<tr>
<td class="org-left">;Y</td>
<td class="org-left">Yank hinted URL to selection</td>
</tr>

<tr>
<td class="org-left">;r</td>
<td class="org-left">Rapid hinting</td>
</tr>

<tr>
<td class="org-left">;R</td>
<td class="org-left">Rapid hinting in new window</td>
</tr>

<tr>
<td class="org-left">;d</td>
<td class="org-left">Download hinted URL</td>
</tr>

<tr>
<td class="org-left">gm</td>
<td class="org-left">Move tab</td>
</tr>

<tr>
<td class="org-left">gl</td>
<td class="org-left">Move tab to left</td>
</tr>

<tr>
<td class="org-left">gr</td>
<td class="org-left">Move tab to right</td>
</tr>

<tr>
<td class="org-left">gC</td>
<td class="org-left">Clone tab</td>
</tr>

<tr>
<td class="org-left">gf</td>
<td class="org-left">View page source</td>
</tr>

<tr>
<td class="org-left">gu</td>
<td class="org-left">Navigate up in URL</td>
</tr>

<tr>
<td class="org-left">gU</td>
<td class="org-left">Navigate up in URL in new tab</td>
</tr>

<tr>
<td class="org-left">sf</td>
<td class="org-left">Save config</td>
</tr>

<tr>
<td class="org-left">ss</td>
<td class="org-left">Set setting</td>
</tr>

<tr>
<td class="org-left">sl</td>
<td class="org-left">Set temp. setting</td>
</tr>

<tr>
<td class="org-left">sk</td>
<td class="org-left">Bind key</td>
</tr>

<tr>
<td class="org-left">Ss</td>
<td class="org-left">Show settings</td>
</tr>

<tr>
<td class="org-left">wi</td>
<td class="org-left">Open web inspector</td>
</tr>

<tr>
<td class="org-left">gd</td>
<td class="org-left">Download page</td>
</tr>

<tr>
<td class="org-left">ad</td>
<td class="org-left">Cancel download</td>
</tr>
</tbody>
</table>
</div>

<div id="outline-container-org539720e" class="outline-4">
<h4 id="org539720e">Footer</h4>
<div class="outline-text-4" id="text-org539720e">
<p>
Copyright © 2020-2021 Derek Taylor (DistroTube)
</p>

<p>
This page is licensed under a <a href="https://creativecommons.org/licenses/by-nd/4.0/">Creative Commons Attribution-NoDerivatives 4.0 International License</a> (CC-BY-ND 4.0).
</p>

<p>
The source code for distro.tube can be found on <a href="https://gitlab.com/dwt1/distro.tube">GitLab</a>.  User-submitted contributions to the site are welcome, as long as the contributor agrees to license their submission with the CC-BY-ND 4.0 license.
</p>
</div>
</div>
</div>
</div>
</div>
<div id="postamble" class="status">
<p class="author">Author: dt</p>
<p class="date">Created: 2021-12-03 Fri 15:43</p>
</div>
</body>
</html>
